import React,{ useState ,useEffect} from 'react'
import {
  Checkbox, 
  Row, 
  Col
} from 'antd';
import styles from './ListCardItem.less'

const CheckGroup = Checkbox.Group;

const ListCardItem = (props) =>{
  console.log(props.searchWord)
  const [ indeterminate, setIndeterminate ] = useState(false) 
  const [ allChecked, setAllChecked ] = useState(false) //全选状态
  const [ checkList, setCheckList] = useState([]) //复选框列表
  const { getValueCallback, itemid, userList, OUName, searchWord } = props
  const defaultList = userList && userList.map( (item,index) =>{
    // if(!searchWord){
    //   return
    // }else{
    //   if(!item.userName.includes(searchWord))return
    // }
    item.label = item.userName || item.label 
    item.value = item.userID || item.label 
    return item
  }) || []

  const handleAllChecked = (e) =>{
    const { checked } = e.target
    setAllChecked(checked)
    let arr = []
    if(checked){
      arr =  defaultList.map(item =>{
        item.isChecked=checked
        return item
      })
    }else{
      arr = []
    }
    setCheckList(arr)
    setIndeterminate(false)
    getValueCallback(arr,itemid)
  }
  const handleChecked = (e) =>{
    setCheckList(e) ;
    setAllChecked(e.length === defaultList.length)
    setIndeterminate(!!e.length && e.length <defaultList.length)
    getValueCallback(e,itemid)
  }
  return (
    <>
      <div className ={`${styles.divBox}`}>
        <div  className={ styles.topCheckbox}>
          <Checkbox
          indeterminate = { indeterminate}
          checked={ allChecked}
          onChange= { (e) =>{ handleAllChecked(e)}}
          >{OUName}</Checkbox>
        </div>
        <div style={{width:"100%"}} className = {styles.checkdiv}>
         {/* {defaultList && defaultList.length>0 &&  <CheckGroup className = {`${styles.check} ${styles.span}`} onChange = {(e) => { handleChecked(e)}} value={checkList} options = {defaultList} /> } */}
          <CheckGroup onChange = {(e) => { handleChecked(e)}}>
            {defaultList && defaultList.length>0 &&
              defaultList.map( (item, index) =>{ 
                return item.label.includes(searchWord) && <Checkbox key={index} checked={item.isChecked} className={ item.label.includes(searchWord)&&styles.spans} value={item.value} >{item.label}</Checkbox>
              })
            }
          </CheckGroup>
        </div>
      </div>
    </>
  )
}

export default ListCardItem